export class AbstractTextureAtlas {
    /**
     *
     * @param {Sampler2D} sampler
     * @param {number} [padding]
     * @returns {AtlasPatch}
     */
    add(sampler, padding) {
        throw new Error('Not Implemented');
    }

    /**
     *
     * @param {AtlasPatch} patch
     * @returns {boolean}
     */
    remove(patch) {
        throw new Error('Not Implemented')
    }

    get sampler() {
        throw new Error('Not Implemented')
    }

    /**
     * @throws {Error} if update fails
     */
    update() {
        throw new Error('Not Implemented')
    }
}
